Using m4 in the temporary tools and installing it after autoconfin chapter 6 makes a tool of a autoconf link to the m4 in /tools

Gilles Espinasse g.esp at free.fr
Sun Oct 19 04:18:27 PDT 2008


----- Original Message ----- 
From: "Jeremy Huntwork" <jhuntwork at linuxfromscratch.org>
To: "LFS Developers Mailinglist" <lfs-dev at linuxfromscratch.org>
Sent: Sunday, October 19, 2008 4:37 AM
Subject: Re: Using m4 in the temporary tools and installing it after
autoconfin chapter 6 makes a tool of a autoconf link to the m4 in /tools


> Bruce Dubbs wrote:
> > The oldest version on ftp.gnu.org is 1.4.1 dated June 2004.
>
> The m4 on my RH 6.2 box says it's 1.4 and it seems to do fine.
>
May depend of your cpu and the considered m4 version
I remember that with m4-1.4.10, the configure check whether printf supports
infinite 'long double' arguments will segfault on x86_64 cpu (in 32b mode).
Not so important as by chance, the considered result of the test was
appropriate.

That's fixed in 1.4.11.

Gilles






More information about the lfs-dev mailing list